# Release History

## 7.0.0 (2024-04-22)

### Features Added

  - Added operation group ChatTranscriptsNoSubscriptionOperations
  - Added operation group ChatTranscriptsOperations
  - Added operation group CommunicationsNoSubscriptionOperations
  - Added operation group FileWorkspacesNoSubscriptionOperations
  - Added operation group FileWorkspacesOperations
  - Added operation group FilesNoSubscriptionOperations
  - Added operation group FilesOperations
  - Added operation group SupportTicketsNoSubscriptionOperations
  - Model ProblemClassification has a new parameter secondary_consent_enabled
  - Model SupportTicketDetails has a new parameter file_workspace_name
  - Model SupportTicketDetails has a new parameter is_temporary_ticket
  - Model SupportTicketDetails has a new parameter problem_scoping_questions
  - Model SupportTicketDetails has a new parameter secondary_consent
  - Model SupportTicketDetails has a new parameter support_plan_display_name
  - Model SupportTicketDetails has a new parameter support_plan_id
  - Model UpdateSupportTicket has a new parameter advanced_diagnostic_consent
  - Model UpdateSupportTicket has a new parameter secondary_consent

### Breaking Changes

  - Model SupportTicketDetails has a new required parameter advanced_diagnostic_consent
  - Parameter body of model CommunicationDetails is now required
  - Parameter contact_details of model SupportTicketDetails is now required
  - Parameter description of model SupportTicketDetails is now required
  - Parameter problem_classification_id of model SupportTicketDetails is now required
  - Parameter service_id of model SupportTicketDetails is now required
  - Parameter severity of model SupportTicketDetails is now required
  - Parameter subject of model CommunicationDetails is now required
  - Parameter title of model SupportTicketDetails is now required

## 6.1.0b3 (2024-03-18)

### Features Added

  - Added operation ChatTranscriptsNoSubscriptionOperations.list
  - Added operation CommunicationsNoSubscriptionOperations.list
  - Added operation ProblemClassificationsOperations.classify_problems
  - Added operation group LookUpResourceIdOperations
  - Added operation group ProblemClassificationsNoSubscriptionOperations
  - Added operation group ServiceClassificationsNoSubscriptionOperations
  - Added operation group ServiceClassificationsOperations
  - Model ProblemClassification has a new parameter metadata
  - Model ProblemClassification has a new parameter parent_problem_classification
  - Model Service has a new parameter metadata
  - Model SupportTicketDetails has a new parameter is_temporary_ticket

### Breaking Changes

  - Removed operation group SupportTicketChatTranscriptsNoSubscriptionOperations
  - Removed operation group SupportTicketCommunicationsNoSubscriptionOperations

## 6.1.0b2 (2023-10-23)

### Features Added

  - Added operation group ChatTranscriptsNoSubscriptionOperations
  - Added operation group ChatTranscriptsOperations
  - Added operation group CommunicationsNoSubscriptionOperations
  - Added operation group FileWorkspacesNoSubscriptionOperations
  - Added operation group FileWorkspacesOperations
  - Added operation group FilesNoSubscriptionOperations
  - Added operation group FilesOperations
  - Added operation group SupportTicketChatTranscriptsNoSubscriptionOperations
  - Added operation group SupportTicketCommunicationsNoSubscriptionOperations
  - Added operation group SupportTicketsNoSubscriptionOperations
  - Model ProblemClassification has a new parameter secondary_consent_enabled
  - Model SupportTicketDetails has a new parameter advanced_diagnostic_consent
  - Model SupportTicketDetails has a new parameter file_workspace_name
  - Model SupportTicketDetails has a new parameter problem_scoping_questions
  - Model SupportTicketDetails has a new parameter secondary_consent
  - Model SupportTicketDetails has a new parameter support_plan_display_name
  - Model SupportTicketDetails has a new parameter support_plan_id
  - Model UpdateSupportTicket has a new parameter advanced_diagnostic_consent
  - Model UpdateSupportTicket has a new parameter secondary_consent

## 6.1.0b1 (2022-10-28)
### Other Changes

  - Added generated samples in github repo
  - Drop support for python<3.7.0

## 6.0.0 (2021-03-29)

 - GA release

## 6.0.0b1 (2020-12-02)

This is beta preview version.

This version uses a next-generation code generator that introduces important breaking changes, but also important new features (like unified authentication and async programming).

**General breaking changes**

- Credential system has been completly revamped:

  - `azure.common.credentials` or `msrestazure.azure_active_directory` instances are no longer supported, use the `azure-identity` classes instead: https://pypi.org/project/azure-identity/
  - `credentials` parameter has been renamed `credential`

- The `config` attribute no longer exists on a client, configuration should be passed as kwarg. Example: `MyClient(credential, subscription_id, enable_logging=True)`. For a complete set of
  supported options, see the [parameters accept in init documentation of azure-core](https://github.com/Azure/azure-sdk-for-python/blob/main/sdk/core/azure-core/CLIENT_LIBRARY_DEVELOPER.md#available-policies)
- You can't import a `version` module anymore, use `__version__` instead
- Operations that used to return a `msrest.polling.LROPoller` now returns a `azure.core.polling.LROPoller` and are prefixed with `begin_`.
- Exceptions tree have been simplified and most exceptions are now `azure.core.exceptions.HttpResponseError` (`CloudError` has been removed).
- Most of the operation kwarg have changed. Some of the most noticeable:

  - `raw` has been removed. Equivalent feature can be found using `cls`, a callback that will give access to internal HTTP response for advanced user
  - For a complete set of
  supported options, see the [parameters accept in Request documentation of azure-core](https://github.com/Azure/azure-sdk-for-python/blob/main/sdk/core/azure-core/CLIENT_LIBRARY_DEVELOPER.md#available-policies)

**General new features**

- Type annotations support using `typing`. SDKs are mypy ready.
- This client has now stable and official support for async. Check the `aio` namespace of your package to find the async client.
- This client now support natively tracing library like OpenCensus or OpenTelemetry. See this [tracing quickstart](https://github.com/Azure/azure-sdk-for-python/tree/main/sdk/core/azure-core-tracing-opentelemetry) for an overview.

## 1.0.0 (2020-03-14)

**Features**

- Model UpdateSupportTicket has a new parameter status
- Model Service has a new parameter resource_types

**Breaking changes**

- Model SupportTicketDetails no longer has parameter production_outage
- Operation SupportTicketsOperations.update has a new signature

## 0.1.0 (2020-01-31)

* Initial Release
